curl_easy_unescape(3)

NAME
curl_easy_unescape - URL decodes the given string

SYNOPSIS
#include <curl/curl.h>

char *curl_easy_unescape( CURL *curl, const char *url , int inlength, int *outlength );

DESCRIPTION
This function converts the given URL encoded input string to a "plain string" and returns that in an allocated memory area. All input characters that are URL encoded (%XX where XX is a two-digit hexadecimal number) are converted to their binary versions. If the length argument is set to 0 (zero), curl_easy_unescape(3) will use strlen() on the input url string to find out the size. If outlength is non-NULL, the function will write the length of the returned string in the integer it points to. This allows an escaped string containing %00 to still get used properly after unescaping. Since this is a pointer to an int type, it can only return a value up to INT_MAX so no longer string can be unescaped if the string length is returned in this parameter. You must curl_free(3) the returned string when you're done with it.

AVAILABILITY
Added in 7.15.4 and replaces the old curl_unescape(3) function.

RETURN VALUE
A pointer to a zero terminated string or NULL if it failed.

SEE ALSO
curl_easy_escape(3), curl_free(3),RFC3986